Lavalite package that provides testtask management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `teste/testtask`.

    "teste/testtask": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Teste\Testtask\Providers\TesttaskServiceProvider::class,

And also add it to alias

    'Testtask'  => Teste\Testtask\Facades\Testtask::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Teste\\TesttaskTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Teste\Testtask\Providers\TesttaskServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Teste\Testtask\Providers\TesttaskServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Teste\Testtask\Providers\TesttaskServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/testtask/{modulename}

**User**

    http://path-to-route-folder/user/testtask/{modulename}

**Public**

    http://path-to-route-folder/testtasks


### API endpoints

**List**

    http://path-to-route-folder/api/user/testtask/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/testtask/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/testtask/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/testtask/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/testtask/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/testtask/{modulename}/{slug}
    METHOD: GET